﻿# ============================================================================= #
# >> IMPORTS
# ============================================================================= #

from es import msg, tell, getAddonPath, AddonInfo, getUseridList, set, makepublic
from cfglib import AddonCFG
from playerlib import getPlayer
from langlib import Strings
from gamethread import delayedname, cancelDelayed

import psyco
psyco.full()

# ============================================================================= #
# >> ADDON-INFORMATION
# ============================================================================= #

info                   = AddonInfo()
info.addonname         = "Knifehealth"
info.version           = "1.3"
info.laststableversion = "1.2"
info.author            = "Floody"
info.url               = "http://addons.eventscripts.com/addons/view/Knifehealth"
info.basename          = "knifehealth"
info.description       = "When a player kill someone with a knife, he gets a specific amount of hp."

set("knifehealth_version", info.version)
makepublic("knifehealth_version")

# ============================================================================= #
# >> CONFIGURATION
# ============================================================================= #

config    = AddonCFG(getAddonPath("knifehealth" + "/config/kh-config.cfg"))
text      = Strings(getAddonPath("knifehealth" + "/lang/strings.ini"))
prefix    = "#green[Knifehealth]#lightgreen" + " "

kh_enable = config.cvar("knifehealth_enable", 1, "1 - Enable, 0 - Disable the addon.")
kh_hp     = config.cvar("knifehealth_hp", 50, "Sets the amount of hp, that gets a player, when they kill someone with a knife.")

config.write()

# ============================================================================= #
# >> LOAD & UNLOAD
# ============================================================================= #

def load():
    config.execute()
    if kh_enable:
        for userid in getUseridList():
            tell(userid, "#multi", prefix + (text("Load Message", {"name":info.addonname, "version":info.version, "author":info.author}, getPlayer(userid).get("lang"))))
        
def unload():
    if kh_enable:
        for userid in getUseridList():
            tell(userid, "#multi", prefix + (text("Unload Message", {"name":info.addonname, "version":info.version, "author":info.author}, getPlayer(userid).get("lang"))))
        
# ============================================================================= #
# >> EVENTS
# ============================================================================= #
    
def player_death(ev):
    if kh_enable:
        if ev["es_attackerteam"] != ev["es_userteam"]:
            if ev["es_attackerweapon"] == "weapon_knife":
                getPlayer(ev["attacker"]).health += kh_hp
                for replacementuserid in getUseridList():
                    tell(replacementuserid, "#multi", prefix + (text("Kill Message", {"attackername":ev["es_attackername"], "username":ev["es_username"], "hp":kh_hp}, getPlayer(replacementuserid).get("lang"))))

def player_spawn(ev):
    if kh_enable:
        delayedname(5, "msg"+ev["userid"], tell, (ev["userid"], "#multi", prefix + (text("Info Message", {"hp":kh_hp}, getPlayer(ev["userid"]).get("lang")))))
    
def player_disconnect(ev):
    cancelDelayed("msg"+ev["userid"])